# The `etcd3gw.lease` Module

class etcd3gw.lease.Lease(id, client=None)

  Bases: `object`

  keys()

    Get the keys associated with this lease.

    Returns

  refresh()

    LeaseKeepAlive keeps the lease alive

    By streaming keep alive requests from the client to the server and streaming keep alive responses from the server to the client. This method makes a synchronous HTTP request by default.

    Returns

  revoke()

    LeaseRevoke revokes a lease.

    All keys attached to the lease will expire and be deleted. This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please define a callback function to be invoked when receiving the response.

    Returns

  ttl()

    LeaseTimeToLive retrieves lease information.

    This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please define a callback function to be invoked when receiving the response.

    Returns